const React = require('react');

const Email = ({ children, cssHref, subject }) => React.createElement(
  "html",
  { xmlns: "http://www.w3.org/1999/xhtml" },
  React.createElement(
    "head",
    null,
    React.createElement("meta", { httpEquiv: "Content-Type", content: "text/html; charset=utf-8" }),
    React.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1.0" }),
    React.createElement(
      "title",
      null,
      subject
    ),
    cssHref && React.createElement("link", { rel: "stylesheet", type: "text/css", href: cssHref })
  ),
  React.createElement(
    "body",
    null,
    children
  )
);

Email.propTypes = {
  children: React.PropTypes.node,
  cssHref: React.PropTypes.string,
  subject: React.PropTypes.string
};

module.exports = Email;