const React = require('react');
const Title = require('./Title');

const Share = ({ email, sms }) => React.createElement(
  'div',
  { className: 'share' },
  React.createElement(
    'div',
    null,
    React.createElement(Title, { text: 'Love these emails?' }),
    React.createElement(
      'p',
      null,
      '"Share the smiles with a friend!"'
    )
  ),
  React.createElement(
    'div',
    null,
    email && React.createElement(
      'div',
      {
        className: 'send-email-cell',
        width: '50%' },
      React.createElement(
        'a',
        {
          className: 'no-underline',
          href: email.href },
        email.img && React.createElement('img', {
          className: 'emailImg',
          width: '64',
          src: email.img.src,
          alt: email.img.alt }),
        React.createElement(
          'p',
          { className: 'blue' },
          'Send an email'
        )
      )
    ),
    sms && React.createElement(
      'div',
      {
        className: 'send-text-cell',
        width: '50%' },
      React.createElement(
        'a',
        {
          className: 'no-underline',
          href: sms.href },
        sms.img && React.createElement('img', {
          className: 'smsImg',
          width: '64',
          src: sms.img.src,
          alt: sms.img.alt }),
        React.createElement(
          'p',
          { className: 'green' },
          'Send a text'
        )
      )
    )
  )
);

Share.propTypes = {
  email: React.PropTypes.object,
  sms: React.PropTypes.object
};

module.exports = Share;